/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "DENM-PDU-Descriptions"
 * 	found in "DENM.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_SituationContainer_H_
#define	_SituationContainer_H_


#include <asn_application.h>

/* Including external dependencies */
#include "InformationQuality.h"
#include "CauseCode.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Forward declarations */
struct CauseCode;
struct EventHistory;

/* SituationContainer */
typedef struct SituationContainer {
	InformationQuality_t	 informationQuality;
	CauseCode_t	 eventType;
	struct CauseCode	*linkedCause	/* OPTIONAL */;
	struct EventHistory	*eventHistory	/* OPTIONAL */;
	/*
	 * This type is extensible,
	 * possible extensions are below.
	 */
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} SituationContainer_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_SituationContainer;

#ifdef __cplusplus
}
#endif

/* Referred external types */
#include "CauseCode.h"
#include "EventHistory.h"

#endif	/* _SituationContainer_H_ */
#include <asn_internal.h>
